<?php
/**
 * Controller to handling updating image options
 *
 * @package wp-swift-page
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPOptz_Ajax_Image' ))
{
	class IPOptz_Ajax_Image
	{
		/**
		 * Execution save options process
		 *
		 * @return void
		 */
		public function exec()
		{
      $error = false;
      if ( ! empty( $_POST['lazy_load_images'] )) {
        $path = sanitize_title( $_POST['lazy_load_images'] );
        update_option( '__ipoptz_lazy_load_images', $path );
      }
      if ( isset( $_POST['preload_image'] )) {
        $path = sanitize_title( $_POST['preload_image'] );
        update_option( '__ipoptz_preload_image', $path );
      }
      if ( ! empty( $_POST['image_compression_on'] )) {
        $path = sanitize_title( $_POST['image_compression_on'] );
        update_option( '__ipoptz_image_compression_on', $path );
      }
      if ( ! empty( $_POST['compression_level'] )) {
        $path = sanitize_title( $_POST['compression_level'] );
        update_option( '__ipoptz_compression_level', $path );
      }
      if ( ! empty( $_POST['image_advanced_compress_on'] )) {
        $path = sanitize_title( $_POST['image_advanced_compress_on'] );
        update_option( '__ipoptz_image_advanced_compress_on', $path );
      }
      if ( ! empty( $_POST['lossy_compression'] )) {
        $path = sanitize_title( $_POST['lossy_compression'] );
        update_option( '__ipoptz_lossy_compression', $path );
      }
      if ( ! empty( $_POST['compression_api_key'] )) {
        $path = sanitize_title( $_POST['compression_api_key'] );
        update_option( '__ipoptz_compression_api_key', $path );
      }

      if ( $error ) {
          $status = 0;
          $msg    = __( 'Failed save settings.', IPOPTZ_SLUG );
      } else {
          $status = 1;
          $msg    = __( 'Successfully updated settings.', IPOPTZ_SLUG );
      }
      echo json_encode( array(
          'status'    => $status,
          'message'   => $msg
      ) );
      die();
		}

	}
}
