<?php
/**
 * Controller to handling updating style options
 *
 * @package wp-swift-page
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPOptz_Ajax_Style' ))
{
	class IPOptz_Ajax_Style
	{
		/**
		 * Execution save options process
		 *
		 * @return void
		 */
		public function exec()
		{
      $error = false;
      if ( ! empty( $_POST['styles_to_footer'] )) {
        $path = sanitize_title( $_POST['styles_to_footer'] );
        update_option( '__ipoptz_styles_to_footer', $path );
      }
      if ( ! empty( $_POST['styles_merge'] )) {
        $path = sanitize_title( $_POST['styles_merge'] );
        update_option( '__ipoptz_styles_merge', $path );
      }
      if ( ! empty( $_POST['minify_css'] )) {
        $path = sanitize_title( $_POST['minify_css'] );
        update_option( '__ipoptz_minify_css', $path );
      }
      if ( ! empty( $_POST['remove_style_query'] )) {
        $path = sanitize_title( $_POST['remove_style_query'] );
        update_option( '__ipoptz_remove_style_query', $path );
      }
      if ( ! empty( $_POST['remove_font_awesome'] )) {
        $path = sanitize_title( $_POST['remove_font_awesome'] );
        update_option( '__ipoptz_remove_font_awesome', $path );
      }
      if ( ! empty( $_POST['remove_dashicon'] )) {
        $path = sanitize_title( $_POST['remove_dashicon'] );
        update_option( '__ipoptz_remove_dashicon', $path );
      }
      if ( isset( $_POST['styles'] )) {
        $path = apply_filters( 'single_post_title', $_POST['styles'] );
        update_option( '__ipoptz_styles', $path );
      }

      if ( $error ) {
          $status = 0;
          $msg    = __( 'Failed save settings.', IPOPTZ_SLUG );
      } else {
          $status = 1;
          $msg    = __( 'Successfully updated settings.', IPOPTZ_SLUG );
      }
      echo json_encode( array(
          'status'    => $status,
          'message'   => $msg
      ) );
      die();
		}

	}
}
