<?php
/**
 * Admin image view
 *
 * @package wp-swift-page
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipoptz-wrap -->
<div id="ipoptz-image" class="wrap ipoptz-wrap ipoptz-admin">
	<!-- start: .ipoptz-inner -->
	<div class="ipoptz-inner">

		<?php
		$this->view( 'admin/general/header' );
		?>

		<!-- start: .ipoptz-main -->
		<div class="ipoptz-main">
			<!-- start: .ipoptz-primary -->
			<div class="ipoptz-primary">

				<!-- start: .ipoptz-manage-wrap -->
				<div class="ipoptz-manage-wrap">
          <?php
          $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipoptz=1&action=image';
          ?>
          <!-- start: .ipoptz-form -->
          <form id="ipoptz-form-image" class="ipoptz-form-container ipoptz-form" method="post" action="<?php echo $formAction; ?>" enctype="multipart/form-data">

          	<!-- start: .container -->
            <div class="container-fluid container">

              <!-- start: .ipoptz-fields -->
              <div class="ipoptz-fields">


<h3 class="ipoptz-field-title mb20 py10">
  <?php _e( 'Basic', IPOPTZ_SLUG ); ?>
</h3>

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-lazy-load-images">
			<?php _e( 'Lazy Load Images to Improve Speed', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_lazy_load_images', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="lazy_load_images" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to make lazy load on images to improve speed.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-image-compression-on">
			<?php _e( 'Enabled Image Compression', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_image_compression_on', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="image_compression_on" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to compress all image in your website.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-compression-level">
			<?php _e( 'Compression Level', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<?php
		$level   = get_option( '__ipoptz_compression_level', 10 );
		$options = array(
				5		 => __( '5%', IPOPTZ_SLUG ),
				10	 => __( '10%', IPOPTZ_SLUG ),
				15	 => __( '15%', IPOPTZ_SLUG ),
				20	 => __( '20%', IPOPTZ_SLUG ),
				25	 => __( '25%', IPOPTZ_SLUG ),
				30	 => __( '30%', IPOPTZ_SLUG ),
				35	 => __( '35%', IPOPTZ_SLUG ),
				40	 => __( '40%', IPOPTZ_SLUG ),
				45	 => __( '45%', IPOPTZ_SLUG ),
				50	 => __( '50%', IPOPTZ_SLUG ),
				55	 => __( '55%', IPOPTZ_SLUG ),
				60	 => __( '60%', IPOPTZ_SLUG ),
				65	 => __( '65%', IPOPTZ_SLUG ),
				70	 => __( '70%', IPOPTZ_SLUG ),
				75	 => __( '75%', IPOPTZ_SLUG ),
				80	 => __( '80%', IPOPTZ_SLUG ),
				85	 => __( '85%', IPOPTZ_SLUG ),
		);
		?>
		<select name="compression_level" id="input-compression-level">
			<?php
			foreach( $options as $key => $label )
			{
				$sltd = '';
				if ( $key == $level ) {
					$sltd = ' selected="selected"';
				}
				echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
			}
			?>
		</select>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set the image compression level.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->


<h3 class="ipoptz-field-title mb20 py10">
  <?php _e( 'Advanced (Use Short Pixel API)', IPOPTZ_SLUG ); ?>
</h3>

<p><?php _e( 'The advanced compression is used API from Short Pixel (shortpixel.com). You need to register or buy license to get API key so the plugin get access to Short Pixel API.', IPOPTZ_SLUG ); ?></p>

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-image-advanced-compress-on">
			<?php _e( 'Enabled Advanced Compression', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_image_advanced_compress_on', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="image_advanced_compress_on" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to activating advanced image compression.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-lossy-compression">
			<?php _e( 'Lossy Compression', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_lossy_compression', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="lossy_compression" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to using lossy compression.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x ipoptz-help-abs">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-compression-api-key">
			<?php _e( 'Short Pixel API Key', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<?php
    $key = get_option( '__ipoptz_compression_api_key', '' );
    ?>
    <input type="text" id="input-compression-api-key" class="ipoptz-input ipoptz-input-full" name="compression_api_key" value="<?php echo $key; ?>">


		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set the Short Pixel API key.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<div class="ipoptz-bottom-submit mt20 mb30">
  <button type="submit" class="ipoptz-form-submit ipoptz-btn ipoptz-btn-secondary ipoptz-btn-lg" id="do-save-setting" name="save_setting">
    <i class="ipoptz-fa ipoptz-fa-floppy-o"></i>
    <strong><?php _e( 'Save Change', IPOPTZ_SLUG ); ?></strong>
  </button>
</div>

							</div>
							<!-- end: .ipoptz-fields -->

						</div>
						<!-- end: .container -->
					</form>
					<!-- end: .ipoptz-form -->
				</div>
				<!-- end: .ipoptz-manage-wrap -->

			</div>
			<!-- end: .ipoptz-primary -->
		</div>
		<!-- end: .ipoptz-main -->

	</div>
	<!-- end: .ipoptz-inner -->
</div>
<!-- end: .ipoptz-wrap -->