<?php
/**
 * Admin header view
 *
 * @package wp-swift-page
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$pageDash    = IPOPTZ_PAGENAME;
$pageScript  = IPOPTZ_PAGENAME . '-script';
$pageStyle   = IPOPTZ_PAGENAME . '-style';
$pageGeneral = IPOPTZ_PAGENAME . '-general';
$pageImage   = IPOPTZ_PAGENAME . '-image';
$pageSetting = IPOPTZ_PAGENAME . '-setting';
$page        = $this->pageId;
$struct = array(
  $pageDash => array(
    'title'     => __( 'Dashboard', IPOPTZ_SLUG ),
    'info'      => __( 'Dashboard for WP Optimizing', IPOPTZ_SLUG ),
    'icon'      => 'chart-area'
  ),
  $pageGeneral => array(
    'title'     => __( 'General', IPOPTZ_SLUG ),
    'info'      => __( 'General optimizing options', IPOPTZ_SLUG ),
    'icon'      => 'editor-kitchensink'
  ),
  $pageScript => array(
    'title'     => __( 'Script', IPOPTZ_SLUG ),
    'info'      => __( 'Optimizing your site script', IPOPTZ_SLUG ),
    'icon'      => 'editor-code'
  ),
  $pageStyle => array(
    'title'     => __( 'Style', IPOPTZ_SLUG ),
    'info'      => __( 'Optimizing your site style/css', IPOPTZ_SLUG ),
    'icon'      => 'media-code'
  ),
  $pageImage => array(
    'title'     => __( 'Image', IPOPTZ_SLUG ),
    'info'      => __( 'Image optimizing', IPOPTZ_SLUG ),
    'icon'      => 'format-image'
  ),
  $pageSetting => array(
    'title'     => __( 'Settings', IPOPTZ_SLUG ),
    'info'      => __( 'Plugin settings', IPOPTZ_SLUG ),
    'icon'      => 'admin-generic'
  )
 );
?>
<div class="ipoptz-top">
  <div class="ipoptz-header">
    <div class="ipoptz-page-title">
      <h1>
        <i class="dashicons-before dashicons-chart-area"></i>
        <span>
          <?php
          $title = IPOPTZ_TITLE;
          $words = explode( ' ', $title );
          $first = array_shift( $words );
          $title = implode( ' ', $words );
          ?>
          <strong><span><?php echo $first; ?></span> <?php echo $title; ?></strong>
          <em> <?php echo IPOPTZ_DESC; ?></em>
        </span>
      </h1>
    </div>
  </div>
  <div class="ipoptz-nav">
    <ul>
    <?php
    $title = isset( $this->title ) ? $this->title : '';
    $info  = isset( $this->info ) ? $this->info : '';
    $icon  = isset( $this->icon ) ? $this->icon : '';
    if ( array_key_exists( $page, $struct ))
    {
      if ( empty( $title )) {
        $title = $struct[$page]['title'];
      }
      if ( empty( $info )) {
        $info  = $struct[$page]['info'];
      }
      if ( empty( $icon )) {
        $icon  = $struct[$page]['icon'];
      }
    }
    foreach( $struct as $name => $data )
    {
      $active = '';
      if ( $page == $name ) {
        $active = ' class="active"';
      }
      echo '<li' . $active . '>' .
              '<a href="admin.php?page=' . $name . '">' .
                  '<i class="dashicons-before dashicons-' . $data['icon'] . '"></i>' .
                  $data['title'] .
              '</a>' .
          '</li>';
    }
    ?>
    </ul>
  </div>
  <div class="ipoptz-page-info">
    <i class="dashicons-before dashicons-<?php echo $icon; ?>"></i>
    <div class="ipoptz-info">
      <h3><?php echo $title; ?></h3>
      <h4><?php echo $info; ?></h4>
    </div>
  </div>
</div>
