<?php
/**
 * Meta box options view
 *
 * @package wp-swift-page
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>

<!-- start: .ipoptz-wrap -->
<div id="ipoptz-metabox" class="ipoptz-wrap">

	<!-- start: .ipoptz-form -->
  <div class="container-fluid container ipoptz-form">

  	<!-- start: .ipoptz-fields -->
    <div class="ipoptz-fields">

			<?php
			if ( ! empty( $this->scripts )) :
			?>

			<h3 class="ipoptz-field-title mt15 mb20 py10">
			  <?php _e( 'Manage Plugin Scripts', IPOPTZ_SLUG ); ?>
			</h3>

			<div class="ipoptz-dep-manage ipoptz-dep-script">

				<table class="ipoptz-script-options ipoptz-dep-table">
					<?php
					$values = array();
					if ( empty( $this->currentScripts ) && ! $this->savedScripts )
					{
						$currents = get_option( '__ipoptz_scripts' );
						if ( ! empty( $currents )) {
							$values = explode( ',', $currents );
						}
					}
					else {
						$values = $this->currentScripts;
					}

					foreach( $this->scripts as $name => $src ) :

						if ( $values && in_array( $name, $values )) :
						?>

						<tr class="ipoptz-script-option ipoptz-script-removed" data-id="<?php echo $name; ?>">
							<td><del><?php echo $name; ?></del></td>
							<td><del><?php echo $src; ?></del></td>
							<td>
								<a href="#<?php echo $name; ?>" class="ipoptz-script-remove" style="display:none;">
									<i class="ipoptz-fa ipoptz-fa-times"></i>
								</a>
								<a href="#<?php echo $name; ?>" class="ipoptz-script-restore">
									<i class="ipoptz-fa ipoptz-fa-check"></i>
								</a>
							</td>
						</tr>

						<?php
						else :
						?>

						<tr class="ipoptz-script-option ipoptz-script-active" data-id="<?php echo $name; ?>">
							<td><?php echo $name; ?></td>
							<td><?php echo $src; ?></td>
							<td>
								<a href="#<?php echo $name; ?>" class="ipoptz-script-remove">
									<i class="ipoptz-fa ipoptz-fa-times"></i>
								</a>
								<a href="#<?php echo $name; ?>" class="ipoptz-script-restore" style="display:none;">
									<i class="ipoptz-fa ipoptz-fa-check"></i>
								</a>
							</td>
						</tr>

						<?php
						endif;
						?>

					<?php
					endforeach;
					?>
				</table>

				<?php
				$_value = implode( ',', $values );
				?>
				<input type="hidden" class="ipoptz-dep-values" name="__ipoptz_page_scripts" value="<?php echo $_value; ?>">

			</div>

			<?php
			endif;
			?>


			<?php
			if ( ! empty( $this->styles )) :
			?>

			<h3 class="ipoptz-field-title mt20 mb20 py10">
			  <?php _e( 'Manage Plugin Styles', IPOPTZ_SLUG ); ?>
			</h3>

			<div class="ipoptz-dep-manage ipoptz-dep-style">

				<table class="ipoptz-style-options ipoptz-dep-table">
					<?php
					$values = array();
					if ( empty( $this->currentStyles ) && ! $this->savedStyles )
					{
						$currents = get_option( '__ipoptz_styles' );
						if ( ! empty( $currents )) {
							$values = explode( ',', $currents );
						}
					}
					else {
						$values = $this->currentStyles;
					}

					foreach( $this->styles as $name => $src ) :

						if ( $values && in_array( $name, $values ) ) :
						?>

						<tr class="ipoptz-style-option ipoptz-style-removed" data-id="<?php echo $name; ?>">
							<td><del><?php echo $name; ?></del></td>
							<td><del><?php echo $src; ?></del></td>
							<td>
								<a href="#<?php echo $name; ?>" class="ipoptz-style-remove" style="display:none;">
									<i class="ipoptz-fa ipoptz-fa-times"></i>
								</a>
								<a href="#<?php echo $name; ?>" class="ipoptz-style-restore">
									<i class="ipoptz-fa ipoptz-fa-check"></i>
								</a>
							</td>
						</tr>

						<?php
						else :
						?>

						<tr class="ipoptz-style-option ipoptz-style-active" data-id="<?php echo $name; ?>">
							<td><?php echo $name; ?></td>
							<td><?php echo $src; ?></td>
							<td>
								<a href="#<?php echo $name; ?>" class="ipoptz-style-remove">
									<i class="ipoptz-fa ipoptz-fa-times"></i>
								</a>
								<a href="#<?php echo $name; ?>" class="ipoptz-style-restore" style="display:none;">
									<i class="ipoptz-fa ipoptz-fa-check"></i>
								</a>
							</td>
						</tr>
						
						<?php
						endif;
						?>

					<?php
					endforeach;
					?>
				</table>

				<?php
				$_value  = implode( ',', $values );
				?>
				<input type="hidden" class="ipoptz-dep-values" name="__ipoptz_page_styles" value="<?php echo $_value; ?>">

			</div>

			<?php
			endif;
			?>

    </div>
    <!-- end: .ipoptz-fields -->

  </div>
  <!-- end: .ipoptz-form -->

  <?php wp_nonce_field( plugin_basename( __FILE__ ), 'ipoptz_mbox_nonce' ); ?>

</div>
<!-- end: .ipoptz-wrap -->